FROM nodejs:16-ubi8
USER root
COPY upload/src /tmp/src
ENV OPENSHIFT_BUILD_NAME="wg-frontend-selfdeploy" OPENSHIFT_BUILD_NAMESPACE="ma-lab-facility" OPENSHIFT_BUILD_SOURCE="https://git.nnag.me/infidel/ocp-wg-frontend.git" NPM_RUN="start"
RUN chown -R 1001:0 /tmp/src
USER 1001
RUN /usr/libexec/s2i/assemble
CMD /usr/libexec/s2i/run

#############################################
# RUN mkdir -p /home/node/app/node_modules && chown -R node:node /home/node/app
# RUN mkdir -p /home/node/app/.npm && chown -R node:node /home/node/app/.npm
# RUN mkdir -p /home/node/.npm && chown -R node:node /home/node/.npm
# RUN mkdir -p /.npm && chown -R node:node /.npm
# RUN chown -R 1000650000:0 "/.npm"
# RUN chown -R 1000:1000 "/home/node/.npm"
# RUN chown -R 1000650000:0 "/home/node/app/.npm"
# WORKDIR /home/node/app
# COPY --chown=node:node . .
# RUN npm config set cache /home/node/app/.npm/
# RUN npm install
# EXPOSE 5000
# USER node
# CMD ["npm", "run", "dev"]
